Skip to main content
GET
List documents

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

id
string<uuid>[]

Unique resource identifier

limit
integer
default:100

Maximum number of objects to return per page. If the limit is greater than 100, then it will be set to 100.

Required range: x >= 1
Example:

100

page_token
string

Optional pagination token to be provided to retrieve subsequent pages, returned from previous get

Example:

"a8937a0d"

Return documents that are related to resources of the specified type The type of the resource related to this adverse action notice.

Available options:
CUSTOMER,
BUSINESS,
ACCOUNT

Return documents that are related to resources with the specified ID

Example:

"b01db9c7-78f2-4a99-8aca-1231d32f9b96"

encryption
enum<string>

Whether the file should be encrypted and access restricted, e.g. if the file contains PII

Available options:
REQUIRED,
NOT_REQUIRED
type
enum<string>[]

The type of documents. Multiple types can be provided as a comma-separated list.

The type of the document. The type can be changed after the document is created, except that a non-encrypted document cannot be changed to a type that requires encryption.

Available options:
ADDRESS_VERIFICATION,
APPLICATION_DOCUMENTATION,
BILLING_DOCUMENT,
CHECK_IMAGE,
COMPANY_PROFILE_DOCUMENT,
COMPLIANCE_REPORT,
DATE_OF_BIRTH_VERIFICATION,
FINANCIAL_FILE,
IDENTITY_DOCUMENTATION,
INCOME_DOCUMENTATION,
STATEMENT,
STATEMENT_DISCLOSURE,
TAX_FORM,
TERMS_OF_SERVICE
batch_id
string

Return documents that are related to batch with the specified ID

Example:

"b01db9c7-78f2-4a99-8aca-1231d32f9b96"

Response

List documents.

documents
object[]
required

Array of documents

next_page_token
string

If returned, use the next_page_token to query for the next page of results. Not returned if there are no more rows.

Example:

"a8937a0d"